Chat9
APIDocuments

Get Document Detail Route

Get single document with full parsed_text for preview (protected JWT). 404 if not found or not owner.

GET
/documents/{document_id}
/documents/{document_id}

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Path Parameters

document_id
Required
Document Id

Format: "uuid"
curl -X GET "https://api.getchat9.live/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "filename": "string",
  "file_type": "string",
  "status": "string",
  "source_url": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "parsed_text": "string",
  "parsed_text_length": 0,
  "health_status": {}
}